#!/bin/bash


# Build the image
docker build . -t reverse-proxy:latest
docker tag reverse-proxy:latest 805875567437.dkr.ecr.us-west-1.amazonaws.com/reverse-proxy:latest

# ECR Authentication
aws ecr get-login-password --region us-west-1 | docker login --username AWS --password-stdin 805875567437.dkr.ecr.us-west-1.amazonaws.com

# Pushing tagged image
docker push 805875567437.dkr.ecr.us-west-1.amazonaws.com/reverse-proxy:latest
